/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface DatavizPieChart {
        "padding": number;
        "slices": {
            [key: string]: number;
        };
    }
    interface DatavizRoot {
    }
    interface DatavizTable {
        "data": (string | number)[][];
        "headers": string[];
        "rowBatchSize"?: number;
    }
}
declare global {
    interface HTMLDatavizPieChartElement extends Components.DatavizPieChart, HTMLStencilElement {
    }
    var HTMLDatavizPieChartElement: {
        prototype: HTMLDatavizPieChartElement;
        new (): HTMLDatavizPieChartElement;
    };
    interface HTMLDatavizRootElement extends Components.DatavizRoot, HTMLStencilElement {
    }
    var HTMLDatavizRootElement: {
        prototype: HTMLDatavizRootElement;
        new (): HTMLDatavizRootElement;
    };
    interface HTMLDatavizTableElement extends Components.DatavizTable, HTMLStencilElement {
    }
    var HTMLDatavizTableElement: {
        prototype: HTMLDatavizTableElement;
        new (): HTMLDatavizTableElement;
    };
    interface HTMLElementTagNameMap {
        "dataviz-pie-chart": HTMLDatavizPieChartElement;
        "dataviz-root": HTMLDatavizRootElement;
        "dataviz-table": HTMLDatavizTableElement;
    }
}
declare namespace LocalJSX {
    interface DatavizPieChart {
        "padding"?: number;
        "slices"?: {
            [key: string]: number;
        };
    }
    interface DatavizRoot {
    }
    interface DatavizTable {
        "data"?: (string | number)[][];
        "headers"?: string[];
        "onSelectionChanged"?: (event: CustomEvent<{
            index: number;
            rowData: (string | number)[];
        }>) => void;
        "rowBatchSize"?: number;
    }
    interface IntrinsicElements {
        "dataviz-pie-chart": DatavizPieChart;
        "dataviz-root": DatavizRoot;
        "dataviz-table": DatavizTable;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "dataviz-pie-chart": LocalJSX.DatavizPieChart & JSXBase.HTMLAttributes<HTMLDatavizPieChartElement>;
            "dataviz-root": LocalJSX.DatavizRoot & JSXBase.HTMLAttributes<HTMLDatavizRootElement>;
            "dataviz-table": LocalJSX.DatavizTable & JSXBase.HTMLAttributes<HTMLDatavizTableElement>;
        }
    }
}
